# Uses of Enum Class
org.apache.sysds.runtime.io.cog.SampleFormatDataTypes

Packages that use SampleFormatDataTypes
Package
Description
org.apache.sysds.runtime.io
org.apache.sysds.runtime.io.cog

## Uses of SampleFormatDataTypes in org.apache.sysds.runtime.io

Constructors in org.apache.sysds.runtime.io with parameters of type SampleFormatDataTypes
Modifier
Constructor
Description
``
`TileProcessor(int clen, byte[] tileData, int tileRow, int tileCol, int tileWidth, int tileLength, int bands, int[] bitsPerSample, SampleFormatDataTypes[] sampleFormat, COGHeader cogHeader, MatrixBlock dest, int planarConfiguration)`
``
`TileProcessor(int clen, byte[] tileData, int tileRow, int tileCol, int tileWidth, int tileLength, int bands, int[] bitsPerSample, SampleFormatDataTypes[] sampleFormat, COGHeader cogHeader, MatrixBlock dest, int planarConfiguration, int band)`

## Uses of SampleFormatDataTypes in org.apache.sysds.runtime.io.cog

Methods in org.apache.sysds.runtime.io.cog that return SampleFormatDataTypes
Modifier and Type
Method
Description
`SampleFormatDataTypes[]`
COGProperties.`getSampleFormat()`
`static SampleFormatDataTypes`
SampleFormatDataTypes.`valueOf(int value)`
Returns the enum constant of this class with the specified name.
`static SampleFormatDataTypes`
SampleFormatDataTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SampleFormatDataTypes[]`
SampleFormatDataTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.io.cog with parameters of type SampleFormatDataTypes
Modifier and Type
Method
Description
`void`
COGProperties.`setSampleFormat(SampleFormatDataTypes[] sampleFormat)`